<?php
require_once("DBManager.class.php");

class respuesta{
	private $idrespuesta;///
	private $idpregunta;
	private $respuesta;
	private $correcto;		
	///////////////////////////////////////////
	public function Crear($vidpregunta,$vrespuesta,$vcorrecto)
	{
		$resp=false;		
		$db= new DBManager();
if($db->_execute("INSERT INTO respuesta(idrespuesta,idpregunta,respuesta,correcto) VALUES(null,".$vidpregunta.",'".$vrespuesta."','".$vcorrecto."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorPregunta($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from respuesta where (idpregunta =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idrespuesta"	    => $rs->fields["idrespuesta"],
									"idpregunta" 	=> $rs->fields["idpregunta"],
									"respuesta" => $rs->fields["respuesta"],
									"correcto" 	    => $rs->fields["correcto"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	public function BuscarPorRespuesta($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from respuesta where(respuesta ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idrespuesta"	    => $rs->fields["idrespuesta"],
									"idpregunta" 	=> $rs->fields["idpregunta"],
									"respuesta" => $rs->fields["respuesta"],
									"correcto" 	    => $rs->fields["correcto"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select * from respuesta where(idrespuesta = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->idrespuesta=$rs->fields["idrespuesta"];	
	                  $this->idpregunta=$rs->fields["idpregunta"];				      			
				      $this->respuesta=$rs->fields["respuesta"];				 
				      $this->correcto=$rs->fields["correcto"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}	
	///////////////////////////////////////////////		
	public function Actualizar($vidrespuesta,$vidpregunta,$vrespuesta,$vcorrecto)			
	{
		$resp=false;		
		$db= new DBManager();	
if($db->_execute("update  respuesta set idpregunta = ".$vidpregunta.", respuesta = '".$vrespuesta."', correcto = '".$vcorrecto."' where (idrespuesta=".$vidrespuesta.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM respuesta WHERE (idrespuesta=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	
	public function Eliminartodo($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM respuesta WHERE (idpregunta=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	///
	////////////////////////////////////////							
	
	public function getIdpregunta(){ return $this->idpregunta;}
	public function getIdrespuesta(){ return $this->idrespuesta;}
	public function getRespuesta(){ return $this->respuesta;}
	public function getCorrecto(){ return $this->correcto;}		
}
?>

